<ART ID="1450126" PID="2815" JID="147" BPAGE="1450126-1" EPAGE="1450126-9" PII="S0217984914501267" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2014">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>New optimal asymmetric quantum codes from constacyclic codes</MTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>Guanghui</FNM>
<SNM>Zhang</SNM>
<EAD>zghui2012@126.com</EAD>
<X-REF REFID="S0217984914501267AF001"></X-REF>
</AUT>
<AUT>
<FNM>Bocong</FNM>
<SNM>Chen</SNM>
<EAD>bocong_chen@yahoo.com</EAD>
<X-REF REFID="S0217984914501267AF002"></X-REF>
</AUT>
<AUT>
<FNM>Liangchen</FNM>
<SNM>Li</SNM>
<EAD>liangchen_li@163.com</EAD>
<X-REF REFID="S0217984914501267AF001"></X-REF>
</AUT>
<AFF ID="S0217984914501267AF001">School of Mathematical Sciences, Luoyang Normal University, Luoyang, Henan 471022, <CNY>China</CNY></AFF>
<AFF ID="S0217984914501267AF002">School of Physical &#x0026; Mathematical Sciences, Nanyang Technological University, Singapore 637616, <CNY>Singapore</CNY></AFF>
</A-GRP>
<HIST>
<RE>9 March 2014</RE>
<RV>12 May 2014</RV>
<AC>13 May 2014</AC>
<![CDATA[<PUB>13 June 2014</PUB>]]>
</HIST>
<ABST>
<P>In this paper, we construct two classes of asymmetric quantum codes by using constacyclic codes. The first class is the asymmetric quantum codes with parameters <F>[[q<SUP>2</SUP> + 1, q<SUP>2</SUP> + 1 - 2(t + k + 1), (2k + 2)/(2t + 2)]]<INF>q<SUP>2</SUP></INF></F> where <F>q</F> is an odd prime power, <F>t, k</F> are integers with <F><TEX ID="S0217984914501267M001">$0 \leq t \leq k \leq \frac{q-1}{2}$</TEX></F>, which is a generalization of [J. Chen, J. Li and J. Lin, <IT>Int. J. Theor. Phys.</IT>&#x00A0;<B>53</B> (2014) 72, Theorem 2] in the sense that we do not assume that <F>q &#x2261;1 (<RM>mod</RM> 4)</F>. The second one is the asymmetric quantum codes with parameters <F><TEX ID="S0217984914501267M002">$[[\frac{q^2-1}{2}, \frac{q^2-1}{2} - t - k, (k + 1)/(t + 1)]]_{q^2}$</TEX></F>, where <F>q &#x2265; 5</F> is an odd prime power, <F>t, k</F> are integers with <F>0 &#x2264; t &#x2264; k &#x2264; q - 1</F>. The constructed asymmetric quantum codes are optimal and their parameters are not covered by the codes available in the literature.</P>
</ABST>
<KWDG>
<KWD>Quantum code</KWD>
<KWD>constacyclic code</KWD>
<KWD>asymmetric quantum code</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>03.67.Pp</KWD>
<KWD>89.70.-a</KWD>
</KWDG>
</FRONT>
</ART>
