<ART ID="1450117" PID="2815" JID="147" BPAGE="1450117-1" EPAGE="1450117-10" PII="S0217984914501176" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2014">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>Controllable optical steady behavior from nonradiative coherence in <F><RM>GaAs</RM></F> quantum well driven by a single elliptically polarized field</MTI>
<RTI>Controllable optical steady behavior from nonradiative coherence in <F><RM>GaAs</RM></F> quantum well</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>Zhonghu</FNM>
<SNM>Zhu</SNM>
<X-REF REFID="S0217984914501176AF001"></X-REF>
</AUT>
<AUT>
<FNM>Ai-Xi</FNM>
<SNM>Chen</SNM>
<X-REF REFID="S0217984914501176AF002"></X-REF>
</AUT>
<AUT>
<FNM>Yanfeng</FNM>
<SNM>Bai</SNM>
<X-REF REFID="S0217984914501176AF001"></X-REF>
</AUT>
<AUT>
<FNM>Wen-Xing</FNM>
<SNM>Yang</SNM>
<EAD>wenxingyang@seu.edu.cn</EAD>
<X-REF REFID="S0217984914501176AF001"></X-REF>
</AUT>
<AUT>
<FNM>Ray-Kuang</FNM>
<SNM>Lee</SNM>
<X-REF REFID="S0217984914501176AF003"></X-REF>
</AUT>
<AFF ID="S0217984914501176AF001">Department of Physics, Southeast University, Nanjing 210096, <CNY>China</CNY></AFF>
<AFF ID="S0217984914501176AF002">Department of Applied Physics, School of Basic Science, East China Jiaotong University, Nanchang 330013, <CNY>China</CNY></AFF>
<AFF ID="S0217984914501176AF003">Institute of Photonics Technologies, National Tsing-Hua University, Hsinchu 300, <CNY>Taiwan</CNY></AFF>
</A-GRP>
<HIST>
<RE>16 March 2014</RE>
<RV>21 April 2014</RV>
<AC>7 May 2014</AC>
<![CDATA[<PUB>23 May 2014</PUB>]]>
</HIST>
<ABST>
<P>In this paper, we analyze theoretically the optical steady behavior in <F><RM>GaAs</RM></F> quantum well structure which interacts with a single elliptically polarized field (EPF) and a &#x03C0;-polarized probe field. Due to the existence of the robust nonradiative coherence, we demonstrate that the controllable optical steady behavior including multi-stability (OM) and optical bistability (OB) can be obtained. More interestingly, our numerical results also illustrate that tuning the phase difference between two components of polarized electric field of the EPF can realize the conversion between OB and OM. Our results illustrate the potential to utilize the optical phase for developing the new all-optical switching devices, as well as a guidance in the design for possible experimental implementations.</P>
</ABST>
<KWDG>
<KWD>Semiconductor quantum well</KWD>
<KWD>optical bistability and multistability</KWD>
<KWD>nonradiative coherence</KWD>
<KWD>elliptically polarized field</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>78.67.De</KWD>
<KWD>42.65.Pc</KWD>
<KWD>42.50.Gy</KWD>
</KWDG>
</FRONT>
</ART>
