<ART ID="1450123" PID="2815" JID="147" BPAGE="1450123-1" EPAGE="1450123-11" PII="S0217984914501231" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2014">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>Phase transitions in three-lane TASEPs with weak coupling</MTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>Yu-Qing</FNM>
<SNM>Wang</SNM>
<EAD>yuqingw@mail.ustc.edu.cn</EAD>
<X-REF REFID="S0217984914501231FN001"></X-REF>
<X-REF REFID="S0217984914501231AF001"></X-REF>
<X-REF REFID="S0217984914501231AF002"></X-REF>
</AUT>
<FTN ID="S0217984914501231FN001">
<P>Corresponding author.</P></FTN>
<AUT>
<FNM>Rui</FNM>
<SNM>Jiang</SNM>
<X-REF REFID="S0217984914501231AF001"></X-REF>
<X-REF REFID="S0217984914501231AF002"></X-REF>
</AUT>
<AUT>
<FNM>Qing-Song</FNM>
<SNM>Wu</SNM>
<X-REF REFID="S0217984914501231AF001"></X-REF>
<X-REF REFID="S0217984914501231AF002"></X-REF>
</AUT>
<AFF ID="S0217984914501231AF001">School of Engineering Science, University of Science and Technology of China, Hefei 230026, <CNY>China</CNY></AFF>
<AFF ID="S0217984914501231AF002">State Key Laboratory of Fire Science, University of Science and Technology of China, Hefei 230026, <CNY>China</CNY></AFF>
<AUT>
<FNM>Hai-Yi</FNM>
<SNM>Wu</SNM>
<X-REF REFID="S0217984914501231AF003"></X-REF>
</AUT>
<AFF ID="S0217984914501231AF003">Department of Modern Mechanics, University of Science and Technology of China, Hefei 230026, <CNY>China</CNY></AFF>
</A-GRP>
<HIST>
<RE>13 March 2014</RE>
<RV>9 May 2014</RV>
<AC>9 May 2014</AC>
<![CDATA[<PUB>13 June 2014</PUB>]]>
</HIST>
<ABST>
<P>This paper studies three-lane totally asymmetric simple exclusion processes (TASEP) with weak coupling under open boundary conditions. Here, particles can hop along each lane or hop to the adjacent lane. Besides, the lane-changing rates are inversely proportional to the system size <F>L</F>. Complemented by Monte Carlo simulations, mean-field analysis has been performed. The phase diagrams, density profiles and current profiles have been calculated. Moreover, the bulk-induced shock has been found in the system.</P>
</ABST>
<KWDG>
<KWD>TASEP</KWD>
<KWD>weak coupling</KWD>
<KWD>mean-field analysis</KWD>
<KWD>Monte Carlo simulations</KWD>
</KWDG>
</FRONT>
</ART>
