<ART ID="1450124" PID="2815" JID="147" BPAGE="1450124-1" EPAGE="1450124-6" PII="S0217984914501243" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2014">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>A geometric approach to dislocation densities in semiconductors</MTI>
<INFO>Lecture given at the Advanced Quantum Foundations and Open Quantum Systems Conference, held in Jo&#x00E3;o Pessoa, Brazil from July 16&#x2013;18, 2012.</INFO>
</T-GRP>
<A-GRP>
<AUT>
<FNM>K.</FNM>
<SNM>Bakke</SNM>
<X-REF REFID="S0217984914501243AF001"></X-REF>
</AUT>
<AUT>
<FNM>F.</FNM>
<SNM>Moraes</SNM>
<EAD>moraes@fisica.ufpb.br</EAD>
<X-REF REFID="S0217984914501243FN001"></X-REF>
<X-REF REFID="S0217984914501243AF001"></X-REF>
</AUT>
<FTN ID="S0217984914501243FN001">
<P>Corresponding author.</P></FTN>
<AFF ID="S0217984914501243AF001">Departamento de F&#x00ED;sica, CCEN, Universidade Federal da Para&#x00ED;ba, Caixa Postal 5008, 58059-900, Jo&#x00E3;o Pessoa, PB, <CNY>Brazil</CNY></AFF>
</A-GRP>
<HIST>
<RE>28 April 2014</RE>
<RV>15 May 2014</RV>
<AC>26 May 2014</AC>
<![CDATA[<PUB>28 May 2014</PUB>]]>
</HIST>
<ABST>
<P>Dislocation densities threading semiconductor crystals are a problem for device developers. Among the issues presented by the defect density is the appearance of the so-called shallow levels. In this work, we introduce a geometric model to explain the origin of the observed shallow levels. We show that a uniform distribution of screw dislocations acts as an effective uniform magnetic field which yields electronic bound states even in the presence of a repulsive Coulomb-like potential. This introduces energy levels within the band gap, increasing the carrier concentration in the region threaded by the dislocation density and adding additional recombination paths other than the near band-edge recombination. Our results suggest that one might use a magnetic field to destroy the dislocation density bound states and therefore minimize its effects on the charge carriers.</P>
</ABST>
<KWDG>
<KWD>Dislocation density</KWD>
<KWD>topological defects</KWD>
<KWD>defect levels</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>61.72.Bb</KWD>
<KWD>61.72.Lk</KWD>
<KWD>71.55.-i</KWD>
</KWDG>
</FRONT>
</ART>
